Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1699429 - [abrt] solaar: write(): base.py:171:write:logitech_receiver.base.NoReceiver: {'reason': OSError(19, 'No such device')}
Summary: [abrt] solaar: write(): base.py:171:write:logitech_receiver.base.NoReceiver: ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d26db39fb1255a1f084d3e1c9be...
Depends On:
Blocks: 1731545
TreeView+ depends on / blocked
 
Reported: 2019-04-12 16:57 UTC by joe.schroedl
Modified: 2019-11-27 23:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:05:30 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (2.28 KB, text/plain)
2019-04-12 16:57 UTC, joe.schroedl
no flags Details
File: cgroup (345 bytes, text/plain)
2019-04-12 16:57 UTC, joe.schroedl
no flags Details
File: cpuinfo (1.28 KB, text/plain)
2019-04-12 16:57 UTC, joe.schroedl
no flags Details
File: environ (3.63 KB, text/plain)
2019-04-12 16:58 UTC, joe.schroedl
no flags Details
File: mountinfo (6.52 KB, text/plain)
2019-04-12 16:58 UTC, joe.schroedl
no flags Details
File: namespaces (129 bytes, text/plain)
2019-04-12 16:58 UTC, joe.schroedl
no flags Details
File: open_fds (1022 bytes, text/plain)
2019-04-12 16:58 UTC, joe.schroedl
no flags Details

Description joe.schroedl 2019-04-12 16:57:56 UTC
Version-Release number of selected component:
solaar-0.9.2-10.20180813gitf0fc63e.fc29

Additional info:
reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: write
exception_type: OSError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.2-5.fc29.x86_64
kernel:         5.0.6-200.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
base.py:171:write:logitech_receiver.base.NoReceiver: {'reason': OSError(19, 'No such device')}

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/logitech_receiver/base.py", line 167, in write
    _hid.write(int(handle), wdata)
  File "/usr/lib/python3.7/site-packages/hidapi/udev.py", line 263, in write
    bytes_written = _os.write(device_handle, data)
OSError: [Errno 19] No such device

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 382, in _device_selected
    _update_info_panel(device, full=True)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 703, in _update_info_panel
    _update_device_panel(device, _info._device, _info._buttons, full)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 674, in _update_device_panel
    _config_panel.update(device, is_online)
  File "/usr/lib/python3.7/site-packages/solaar/ui/config_panel.py", line 206, in update
    for s in device.settings:
  File "/usr/lib/python3.7/site-packages/logitech_receiver/receiver.py", line 254, in settings
    _check_feature_settings(self, self._settings)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/settings_templates.py", line 376, in check_feature_settings
    check_feature(_SMOOTH_SCROLL[0], _F.HI_RES_SCROLLING)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/settings_templates.py", line 366, in check_feature
    if not featureId in device.features:
  File "/usr/lib/python3.7/site-packages/logitech_receiver/hidpp20.py", line 260, in __contains__
    reply = self.device.request(0x0000, _pack('!H', ivalue))
  File "/usr/lib/python3.7/site-packages/logitech_receiver/receiver.py", line 281, in request
    return _base.request(self.receiver.handle, self.number, request_id, *params)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/base.py", line 340, in request
    write(ihandle, devnumber, request_data)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/base.py", line 171, in write
    raise NoReceiver(reason=reason)
logitech_receiver.base.NoReceiver: {'reason': OSError(19, 'No such device')}

Local variables in innermost frame:
handle: 17
devnumber: 1
data: b'\x00\n! '
wdata: b'\x10\x01\x00\n! \x00'

Comment 1 joe.schroedl 2019-04-12 16:57:57 UTC
Created attachment 1554853 [details]
File: backtrace

Comment 2 joe.schroedl 2019-04-12 16:57:58 UTC
Created attachment 1554854 [details]
File: cgroup

Comment 3 joe.schroedl 2019-04-12 16:57:59 UTC
Created attachment 1554855 [details]
File: cpuinfo

Comment 4 joe.schroedl 2019-04-12 16:58:00 UTC
Created attachment 1554856 [details]
File: environ

Comment 5 joe.schroedl 2019-04-12 16:58:00 UTC
Created attachment 1554857 [details]
File: mountinfo

Comment 6 joe.schroedl 2019-04-12 16:58:01 UTC
Created attachment 1554858 [details]
File: namespaces

Comment 7 joe.schroedl 2019-04-12 16:58:02 UTC
Created attachment 1554859 [details]
File: open_fds

Comment 8 Ben Cotton 2019-10-31 19:01:28 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-11-27 23:05:30 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.